const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {
  @property(cc.Prefab) mask: cc.Prefab = null;

  @property(cc.Prefab) panel: cc.Prefab = null;

  start() {
    let canvas = cc.director.getScene().getChildByName("Canvas");

    let maskNode = cc.instantiate(this.mask);

    let panelNode = cc.instantiate(this.panel);

    panelNode.addChild(maskNode, -1);
    canvas.addChild(panelNode);
    cc.log(maskNode.zIndex);
  }
}
